Subject: bug#63744: 28.2; fix dired-guess-default

From: Leo Liu <[email-masked]>
Date: Tue, 30 May 2023 02:20:28 +0800

On 2023-05-29 15:07 +0300, Eli Zaretskii wrote:
> Does this answer my question above?  If so, I don't think I understand
> the answer, please elaborate.  I asked why not generate the whole
> value, including the REGEXP part, dynamically.

I thought you would have grasped the problem by now ;)

"I asked why not generate the whole value, including the REGEXP part,
dynamically."

This is a static list.

The problem we are trying to solve here is we don't know the list until
we know the FILE. Even when given the FILE we may still have imperfect
knowledge about which tools can handle it.

For example, On my Mac an html file can be handled by 10 apps at the
moment including all browsers and Emacs and more. It may change next
minute when some apps are installed or uninstalled or file association
changed.